libfreehand::FHQuadraticBezierToElement Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libfreehand::FHQuadraticBezierToElement Class Reference
Inheritance diagram for libfreehand::FHQuadraticBezierToElement:

## Public Member Functions
| FHQuadraticBezierToElement (double x1, double y1, double x, double y)
| ~FHQuadraticBezierToElement ()
void | writeOut (librevenge::RVNGPropertyListVector &vec) const
void | transform (const FHTransform &trafo)
FHPathElement * | clone ()
void | getBoundingBox (double x0, double y0, double &xmin, double &ymin, double &xmax, double &ymax) const
double | getX () const
double | getY () const
Public Member Functions inherited from libfreehand::FHPathElement
| FHPathElement ()
virtual | ~FHPathElement ()

## Private Attributes
double | m_x1
double | m_y1
double | m_x
double | m_y

## Constructor & Destructor Documentation

libfreehand::FHQuadraticBezierToElement::FHQuadraticBezierToElement | ( | double | x1,
|  | double | y1,
|  | double | x,
|  | double | y
| ) |  |
| inline

libfreehand::FHQuadraticBezierToElement::~FHQuadraticBezierToElement | ( |  | ) |
| inline

## Member Function Documentation

libfreehand::FHPathElement * libfreehand::FHQuadraticBezierToElement::clone | ( |  | ) |
| virtual

Implements libfreehand::FHPathElement.

void libfreehand::FHQuadraticBezierToElement::getBoundingBox | ( | double | x0,
|  | double | y0,
|  | double & | xmin,
|  | double & | ymin,
|  | double & | xmax,
|  | double & | ymax
| ) |  | const
| virtual

Implements libfreehand::FHPathElement.

double libfreehand::FHQuadraticBezierToElement::getX | ( |  | ) | const
| inlinevirtual

Implements libfreehand::FHPathElement.

double libfreehand::FHQuadraticBezierToElement::getY | ( |  | ) | const
| inlinevirtual

Implements libfreehand::FHPathElement.

void libfreehand::FHQuadraticBezierToElement::transform | ( | const FHTransform & | trafo | ) |
| virtual

Implements libfreehand::FHPathElement.

void libfreehand::FHQuadraticBezierToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| virtual

Implements libfreehand::FHPathElement.

## Member Data Documentation

double libfreehand::FHQuadraticBezierToElement::m_x
| private

double libfreehand::FHQuadraticBezierToElement::m_x1
| private

double libfreehand::FHQuadraticBezierToElement::m_y
| private

double libfreehand::FHQuadraticBezierToElement::m_y1
| private

The documentation for this class was generated from the following file:

- FHPath.cpp